<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		david.cifuentes
@description 	Pantalla que muestra los trámites de un ejecutor asociado a una comisión para el caso de uso 175.
@note 			Copia de la pantalla de tramiteEjecutorComision ajustada para el caso de uso 175.	

-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        id="tramitesDelEjecutorDeLaComisionForm" prependId="false">

    <h:panelGrid width="100%" cellspacing="5" cellpadding="5">

        <h:panelGrid columns="4" cellspacing="10">

            <h:outputLabel value="Número de comisión: "
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{aprobacionComisiones.comisionSeleccionada.numero}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Ejecutor: " styleClass="outputLabelStyle" />
            <h:outputText
                value="#{aprobacionComisiones.selectedEjecutorComision.nombreFuncionarioEjecutor}"
                styleClass="outputTextStyle" />

        </h:panelGrid>

        <p:dataTable value="#{aprobacionComisiones.tramitesEjecutorComision}"
                     var="tramiteEjecutorComision" id="tramitesEjecutorComisionDT"
                     paginator="true" rows="10"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                     emptyMessage="No se encontraron trámites"
                     widgetVar="tramitesEjecutorComisionDTWV">

            <p:column headerText="Número de radicación">
                <h:outputText value="#{tramiteEjecutorComision.numeroRadicacion}"
                              styleClass="outputTextStyleInTable"/>
            </p:column>

            <p:column headerText="Fecha de radicación">
                <h:outputText value="#{tramiteEjecutorComision.fechaRadicacion}"
                              styleClass="outputTextStyleInTable">
                    <f:convertDateTime
                        pattern="#{general.formatoFechaUsuario2}" />
                </h:outputText>
            </p:column>

            <p:column headerText="Tipo de trámite">
                <h:outputText
                    value="#{tramiteEjecutorComision.tipoTramiteCadenaCompleto}" 
                    styleClass="outputTextStyleInTable"/>
            </p:column>

            <p:column headerText="Departamento">
                <h:outputText value="#{tramiteEjecutorComision.departamento.nombre}" 
                              styleClass="outputTextStyleInTable"/>
            </p:column>

            <p:column headerText="Municipio">
                <h:outputText value="#{tramiteEjecutorComision.municipio.nombre}" 
                              styleClass="outputTextStyleInTable"/>
            </p:column>

            <p:column headerText="Número predial">
                <h:outputText
                    value="#{tramiteEjecutorComision.predio.numeroPredial}" 
                    styleClass="outputTextStyleInTable"/>
            </p:column>

        </p:dataTable>

        <p:outputPanel layout="block" style="text-align: right">
            <p:commandButton value="Cerrar" icon="ui-icon-circle-close"
                             immediate="true" process="@this" title="Cerrar" label="Cerrar"
                             onclick="tramitesEjecutorComisionWV.hide();" />
        </p:outputPanel>
    </h:panelGrid>

</h:form>

